local pingFrame = CreateFrame("Frame", "PFrame", UIParent);
local pingText = pingFrame:CreateFontString("PText", "OVERLAY");
local LSM = LibStub("LibSharedMedia-3.0");

pingFrame:RegisterEvent("PLAYER_LOGIN");

pingFrame:SetScript("OnEvent", function()
	pingFrame:SetWidth(125);
	pingFrame:SetHeight(15);
	pingFrame:SetPoint("TOP", UIParent, "CENTER", 0, -370) ;

	local myFont = LSM:Fetch("font","Font2");
	pingText:SetFont(myFont,20,"OUTLINE");
	pingText:SetJustifyH("CENTER") ;
	pingText:SetPoint("CENTER", pingFrame, "CENTER", 0, 0);
end)

pingFrame:SetScript("OnUpdate", function()
	local up, down, home, world = GetNetStats();
	local fps = GetFramerate();
	pingText:SetTextColor(1, 1, 0, 1);
	pingText:SetFormattedText(home .. "ms(Home) " .. world .. "ms(World) " .. floor(fps) .. "FPS");
end)